summaryrefslogtreecommitdiffstats
path: root/src/cmd/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/cmd/install.sh')
-rw-r--r--src/cmd/install.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/src/cmd/install.sh b/src/cmd/install.sh
index c96f014..38310b0 100644
--- a/src/cmd/install.sh
+++ b/src/cmd/install.sh
@@ -64,7 +64,9 @@ cmd_install_main()
dev=''
if is_block "${root}"; then
dev="${root}"
- root="$(block_mount "${dev}")"
+ if ! root="$(block_mount "${dev}")"; then
+ return 2
+ fi
fi
install_system "${cmd_install_opt_m-}" "${suite}" \